package com.tuoheng.admin.controller;

import com.baomidou.mybatisplus.extension.service.additional.query.impl.QueryChainWrapper;
import com.tuoheng.admin.entity.domain.QuestionType;
import com.tuoheng.admin.entity.request.QuestionTypeQuery;
import com.tuoheng.admin.service.IDspService;
import com.tuoheng.admin.service.IQuestionTypeService;
import com.tuoheng.common.utils.JsonResult;
import com.tuoheng.system.utils.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 巡检问题表 前端控制器
 *
 * @author WangHaoran
 * @since 2021-09-02
 */
@RestController
@RequestMapping("/question")
public class QuestionTypeController {

    @Autowired
    private IQuestionTypeService questionTypeService;

    /**
     * 获取巡检问题列表
     */
    @GetMapping("/type")
    public JsonResult getQuestionType() {
        return JsonResult.success(questionTypeService.list());
    }


}
