package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.common.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 预警记录对象 th_warning_record
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_warning_record")
public class WarningRecord extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 预警ID
     */
    private Integer warningId;

    /**
     * 记录名称
     */
    private String name;

    /**
     * 任务ID
     */
    private Integer missionId;

}
