package com.tuoheng.admin.entity.request;

import com.tuoheng.common.common.BaseQuery;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class WorkOrderRequest extends BaseQuery implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 工单ID
     */
    private Integer id;

    /**
     * 问题工单号
     */
    private String code;

    /**
     * 工单状态：5待分配 10处理中（已分配） 15已完成
     */
    private Integer status;

    /**
     * 开始时间
     */
    private String createStartTime;

    /**
     * 结束时间
     */
    private String createEndTime;

    /**
     * 处理人员
     */
    private List<Integer> handleUserList;

    /**
     * 处理标识，为1时，查询分配给当前登录人的数据
     */
    private Integer handleFlag;

}
