package com.tuoheng.admin.entity.request.warning;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 查询预警列表请求实体
 * @author: qiujinyang
 */
@Data
public class QueryWarningListRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户Id",hidden = true)
    private Integer tenantId;

    @ApiModelProperty(value = "预警状态: 0:全部；1：待确认；2：确认；3：忽略；")
    private Integer status;
}
