package com.tuoheng.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/2/8
 */
@Data
public class WarningRecordVO {

    /**
     *记录创建时间
     */
    @DateTimeFormat(pattern = "yyyy.MM.dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy.MM.dd HH:mm:ss", timezone = "GMT+8")
    private Date recordStartTime;

    /**
     * 巡检机场名称
     */
    private String airportName;

}
