package com.tuoheng.admin.service.camera;

import com.tuoheng.admin.entity.request.camera.QueryCameraListRequest;
import com.tuoheng.admin.service.camera.query.QueryCameraListService;
import com.tuoheng.common.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 摄像头Service业务层处理
 *
 * @team tuoheng
 * @author wanjing
 * @date 2023-02-06
 */
@Service
public class CameraServiceImpl implements ICameraService {

    @Autowired
    private QueryCameraListService queryCameraListService;

    /**
     * 查询摄像头列表
     *
     * @param request 摄像头
     * @return 摄像头
     */
    @Override
    public JsonResult getList(QueryCameraListRequest request) {
        return queryCameraListService.getList(request);
    }

    /**
     * 查询摄像头
     * 
     * @param id 摄像头主键
     * @return 摄像头
     */
    @Override
    public JsonResult getOneById(Integer id) {
        return null;
    }

}
