package com.tuoheng.admin.service.camera;

import com.tuoheng.admin.entity.request.camera.QueryCameraListRequest;
import com.tuoheng.common.utils.JsonResult;

/**
 * 摄像头Service接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2023-02-06
 */
public interface ICameraService {

    /**
     * 查询摄像头列表
     * 
     * @param request 查询摄像头列表实体
     * @return 摄像头集合
     */
    JsonResult getList(QueryCameraListRequest request);

    /**
     * 查询摄像头
     *
     * @param id 摄像头主键
     * @return 摄像头
     */
    JsonResult getOneById(Integer id);
}
