package com.tuoheng.admin.service.goods;

import com.tuoheng.admin.entity.request.camera.QueryCameraListRequest;
import com.tuoheng.admin.entity.request.goods.QueryGoodsListRequest;
import com.tuoheng.common.utils.JsonResult;

/**
 * 物资Service接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
public interface IGoodsService {


    /**
     * 查询物资列表
     *
     * @param request 查询物资列表实体
     * @return 摄像头集合
     */
    JsonResult getList(QueryGoodsListRequest request);

    /**
     * 查询物资
     *
     * @param id 物资主键
     * @return 物资
     */
    JsonResult getOnesById(String id);
}
