package com.tuoheng.admin.service.warehouse;

import com.tuoheng.admin.entity.request.warehouse.QueryWarehousePageListRequest;
import com.tuoheng.admin.service.warehouse.query.QueryWarehousePageListService;
import com.tuoheng.common.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 仓库Service业务层处理
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
@Service
public class WarehouseServiceImpl implements IWarehouseService {

    @Autowired
    private QueryWarehousePageListService queryWarehousePageListService;

    /**
     * 查询仓库列表
     *
     * @param request 仓库
     * @return 仓库
     */
    @Override
    public JsonResult getPagelist(QueryWarehousePageListRequest request) {
        return queryWarehousePageListService.getPageList(request);
    }

    /**
     * 查询仓库
     *
     * @param id 仓库主键
     * @return 仓库
     */
    @Override
    public JsonResult getOneById(Integer id) {
        return null;
    }

}
