package com.tuoheng.system.service;

import com.tuoheng.common.common.IBaseService;
import com.tuoheng.system.entity.UserRole;

/**
 * <p>
 * 人员角色表 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-30
 */
public interface IUserRoleService extends IBaseService<UserRole> {

    /**
     * 插入用户角色关系数据
     *
     * @param userId  用户ID
     * @param roleIds 角色ID
     */
    void insertUserRole(Integer userId, Integer[] roleIds);

    /**
     * 根据用户ID删除用户角色关系数据
     *
     * @param userId 用户ID
     */
    void deleteUserRole(Integer userId);

}
