package com.tuoheng.admin.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 巡检任务 新增或修改请求参数
 * @author: qiujinyang
 * @date: 2021/9/7
 */
@Data
public class PushAndPullURLRequest  implements Serializable {

    private static final long serialVersionUID = 1L;

    //@NotNull(message = "视频推流地址不能为空！")
    @ApiModelProperty(value = "视频推流地址")
    private String pushUrl;

    //@NotNull(message = "视频拉流地址不能为空！")
    @ApiModelProperty(value = "视频拉流地址")
    private String pullUrl;
}
