package com.tuoheng.admin.entity.request;

import com.tuoheng.common.common.BaseQuery;
import lombok.Data;

import java.io.Serializable;

/**
 * 巡检问题查询
 *
 * @author qiujinyang
 * @since 2022-08-03
 */
@Data
public class QuestionTypeQuery extends BaseQuery implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 项目名称：1林场平面
     */
    private Integer name;

    /**
     * 项目类型：病虫树、林斑、人员活动、火灾隐患
     */
    private String type;

    /**
     * 巡检内容
     */
    private String content;
}
