package com.tuoheng.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡检任务 新增或修改请求参数 2022/7/27
 * @author : qiujinyang
 */
@Data
public class MissionLiveVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务id")
    private Integer id;

    //直播的视频地址
    @ApiModelProperty(value = "视频地址")
    private String playUrl;
    @ApiModelProperty(value = "AI识别后视频地址")
    private String aiplayUrl;
}
