package com.tuoheng.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/2/7
 */
@Data
public class WarningVO {

    /**
     * 预警时间
     */
    @DateTimeFormat(pattern = "yyyy.MM.dd hh:mm:ss")
    @JsonFormat(pattern = "yyyy.MM.dd hh:mm:ss", timezone = "GMT+8")
    private Date waringTime;

    /**
     * 预警来源
     */
    private Integer discoveryWay;

    /**
     * 预警来源名称
     */
    private String discoverWayName;

    /**
     * 火灾位置
     */
    private String location;

    /**
     * 火灾核实
     */
    private Integer status;

    /**
     * 火灾核实名称
     */
    private String statusName;


}
