package com.tuoheng.admin.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class WorkOrderQuestionVO {

    /**
     * 问题ID
     */
    private Integer questionId;

    /**
     * 问题类型
     */
    private String type;

    /**
     * 问题描述
     */
    private String questionDesc;

    /**
     * 问题类型名称
     */
    private String questionName;
    /**
     * 原图片地址
     */
    private String fileOriginalUrl;
    /**
     * 分析后的图片地址
     */
    private String fileMarkerUrl;
    /**
     * 经度
     */
    private String lng;
    /**
     * 纬度
     */
    private String lat;
    /**
     * 处理状态：0待处理 1已处理
     */
    private Integer status;

    /**
     * 发现时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 处理人员
     */
    private Integer handlerUser;

    /**
     * 处理后图片(多个图片逗号“,”分隔)
     */
    private String handlerImage;

    /**
     * 处理后图片(多个图片逗号“,”分隔)
     */
    private String handlerResult;

    /**
     * 处理完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date handlerTime;

    /**
     * 处理人员名称
     */
    private String handlerUserName;

}
