package com.tuoheng.admin.service.warehouse;

import com.tuoheng.admin.entity.request.warehouse.QueryWarehousePageListRequest;
import com.tuoheng.common.utils.JsonResult;

/**
 * 仓库Service接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
public interface IWarehouseService {

    /**
     * 查询仓库列表
     *
     * @param request 仓库
     * @return 仓库集合
     */
    JsonResult getPagelist(QueryWarehousePageListRequest request);

    /**
     * 查询仓库
     *
     * @param id 仓库主键
     * @return 仓库
     */
    JsonResult getOneById(Integer id);

}
