package com.tuoheng.admin.service.warningrecord;

import com.tuoheng.admin.entity.request.warningrecord.QueryWarningRecordListRequest;
import com.tuoheng.common.utils.JsonResult;

/**
 * 预警记录Service接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-06
 */
public interface IWarningRecordService {

    /**
     * 查询预警记录列表
     *
     * @param request 预警记录
     * @return 预警记录集合
     */
    JsonResult getList(QueryWarningRecordListRequest request);

    /**
     * 查询预警记录
     *
     * @param id 预警记录主键
     * @return 预警记录
     */
    JsonResult getOneById(String id);

}
