package com.tuoheng.system.query;

import com.tuoheng.common.common.BaseQuery;
import lombok.Data;

/**
 * 用户查询条件
 */
@Data
public class UserQuery extends BaseQuery {

    /**
     * 用户账号
     */
    private String username;

    /**
     * 真实姓名
     */
    private String realname;

    /**
     * 性别：1男 2女 3保密
     */
    private Integer gender;

    /**
     * 终端 1 web端 2 小程序端
     */
    private Integer terminalType;

    /**
     * 用户类型
     */
    private Integer type;

    /**
     * 用户状态：1在用 2停用
     */
    private Integer status;

    /**
     * 角色ID
     */
    private Integer roleId;

}
